<?php
  defined('ABSPATH') or die("Please don't run this script.");

global $simple_days_amp;
$simple_days_amp = get_theme_mod( 'simple_days_amp','0');
get_template_part( 'inc/extras' );

function is_amp(){
  global $simple_days_amp;
  $is_amp = false;
  if ( empty($_GET['amp']) ) {
    return false;
  }
  $is_amp = ($simple_days_amp === '1' && $_GET['amp'] === '1') ? true : false;
  return $is_amp;
}

function simple_days_setup() {

  load_theme_textdomain( 'simple-days', get_template_directory() . '/languages' );
  add_theme_support('post-thumbnails');
  add_theme_support( 'title-tag' );
  add_theme_support( 'automatic-feed-links' );

  
  add_theme_support( 'html5', array(
    'comment-form',
    'comment-list',
    'gallery',
    'caption',
    'script',
    'style',
  ) );

  if ( ! isset( $content_width ) ) {
    $content_width = 767;
  }

  add_theme_support( 'custom-background', array(
  'default-color'          => '',
  'default-image'          => '',
  'default-repeat'         => '',
  'default-position-x'     => '',
  'default-attachment'     => '',
  'wp-head-callback'       => '_custom_background_cb',
  'admin-head-callback'    => '',
  'admin-preview-callback' => ''
   ));

   add_editor_style();

   
   get_template_part( 'inc/customizer' );
   // Indicate widget sidebars can use selective refresh in the Customizer.(WP4.7)
   add_theme_support( 'customize-selective-refresh-widgets' );

   add_theme_support( 'custom-logo', array(
		'height'      => 60,
		'width'       => 220,
		'flex-height' => false,
		'flex-width'  => false,
   ));

   add_theme_support('custom-header',array(
        //default image (empty to use none).
        'default-image'          => '',
        'uploads' => true,
        // Set height and width, with a maximum value for the width.
        'height'                 => 60,
        'width'                  => 1980,
   ));

   register_nav_menu( 'primary' , esc_attr__( 'Primary Menu', 'simple-days' ));
   get_template_part( 'inc/starter_content' );
}
add_action( 'after_setup_theme', 'simple_days_setup' );

function simple_days_widgets_init() {
  get_template_part( 'inc/widgets' );
}
add_action( 'widgets_init', 'simple_days_widgets_init' );




function simple_days_replace_script_type($tag) {
 if (!is_amp()){
   $tag =  str_replace("type='text/javascript' src='https://www.googletagmanager.com/gtag/js", "async src='https://www.googletagmanager.com/gtag/js", $tag);
  }else{
   $tag =  str_replace("type='text/javascript'", "async", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-ad-0.1.js", " custom-element=\"amp-ad\" src='https://cdn.ampproject.org/v0/amp-ad-0.1.js", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-form-0.1.js", " custom-element=\"amp-form\" src='https://cdn.ampproject.org/v0/amp-form-0.1.js", $tag);
   $tag =  str_replace("src='https://cdn.ampproject.org/v0/amp-analytics-0.1.js", " custom-element=\"amp-analytics\" src='https://cdn.ampproject.org/v0/amp-analytics-0.1.js", $tag);
  }
  return $tag;
}
add_filter( 'script_loader_tag','simple_days_replace_script_type');


function simple_days_replace_link_stylesheet( $tag ) {
 if (is_amp()){
   $tag =  preg_replace( array( "/'/", '/(id|type|media)=".+?" */', '/ \/>/' ), array( '"', '', '>' ), $tag );
 }
 return $tag;
}
add_filter( 'style_loader_tag', 'simple_days_replace_link_stylesheet' );


function simple_days_required_stylesheets(){


  if (!is_amp()){
	  wp_enqueue_style('simple_days-style', get_stylesheet_uri());
      if( is_active_widget( false, false, 'simple_days_ad_link', true )){
	     wp_enqueue_script( 'google-adsense-js', '//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js', array(), null );
      }
      $ga_analytics_id = esc_attr(get_theme_mod( 'simple_days_ga_analytics_id',''));
      if ( !is_user_logged_in() ){
        if ( get_theme_mod( 'simple_days_ga_analytics','0') == '1' && $ga_analytics_id != '') {
         wp_enqueue_script('google-analytics-ga', get_template_directory_uri() . '/assets/js/ga.js', array(), null );
         wp_localize_script( 'google-analytics-ga', 'ga_analytics_id', $ga_analytics_id );
        }
        if ( get_theme_mod( 'simple_days_ga_analytics','0') == '2' && get_theme_mod( 'simple_days_ga_analytics_id','') != '') {
         wp_enqueue_script('google-analytics-gtag-main', 'https://www.googletagmanager.com/gtag/js?id='.$ga_analytics_id, array(), null );
         wp_enqueue_script('google-analytics-gtag', get_template_directory_uri() . '/assets/js/gtag.js', array(), null );
         wp_localize_script( 'google-analytics-gtag', 'ga_analytics_id', $ga_analytics_id );
        }
      }
	}else{

    if (!is_user_logged_in()){
       global $wp_scripts, $wp_styles;
       $wp_styles->queue = array();
       $wp_scripts->queue = array();
    }

    
    wp_enqueue_script('amp','https://cdn.ampproject.org/v0.js', array(), null );
    wp_enqueue_script('amp-ad','https://cdn.ampproject.org/v0/amp-ad-0.1.js', array(), null );
    wp_enqueue_script('amp-form','https://cdn.ampproject.org/v0/amp-form-0.1.js', array(), null );
    if(get_theme_mod( 'simple_days_amp_analytics','') != ''){
      wp_enqueue_script('amp-analytics','https://cdn.ampproject.org/v0/amp-analytics-0.1.js', array(), null );
    }


    require_once(ABSPATH . 'wp-admin/includes/file.php');//WP_Filesystemの使用
    if ( WP_Filesystem() ) {//WP_Filesystemの初期化
      global $wp_filesystem;//$wp_filesystemオブジェクトの呼び出し
      $css = $wp_filesystem->get_contents(get_template_directory_uri() .'/style.css');
      if (get_theme_file_uri('style.css') != get_template_directory_uri() .'/style.css'){
        $css .= $wp_filesystem->get_contents(get_theme_file_uri('style.css'));
      }
    }
    if(get_theme_mod( 'simple_days_sidebar_layout','3') == 1){
      $css .= ' .sidebar{-webkit-box-ordinal-group:1;-ms-flex-order:1;-webkit-order:1;order:1;margin: 0 30px 0 0;}'."\n";
    }
    $mod = get_theme_mod('simple_days_background_color');
    if ( !empty( $mod ) ) {
      $css .= ' body{background-color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('link_textcolor');
    if ( !empty( $mod ) ) {
      $css .= ' a{color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('link_hover_color');
    if ( !empty( $mod ) ) {
      $css .= ' a:hover{color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('blog_name');
    if ( !empty( $mod ) ) {
      $css .= ' .description_tooltip{color:'. esc_attr($mod).'}'."\n";
    }
    $mod = get_theme_mod('blog_description');
    if ( !empty( $mod ) ) {
      $css .= ' .description_tooltip:after{color:'. esc_attr($mod).'}'."\n";
    }
    $css .= wp_get_custom_css();
    wp_register_style( 'amp-custom', false ); wp_enqueue_style( 'amp-custom' );
    wp_add_inline_style( 'amp-custom', $css );
  }

    
  wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/fonts/fontawesome/css/fontawesome-all.css', array(), null);
  wp_enqueue_style('font-icomoon', get_template_directory_uri() . '/assets/fonts/icomoon/style.css', array(), null);
	

    
    

  if ( is_singular() && comments_open() && get_option( 'thread_comments' ) && !is_amp() ) {
    wp_enqueue_script( 'comment-reply' );
  }

}
add_action('wp_enqueue_scripts','simple_days_required_stylesheets');

function simple_days_add_meta(){
  if (!is_amp()){
    if ( !is_user_logged_in() ){

      if( get_theme_mod( 'simple_days_google_site_verification','') != '' && get_theme_mod( 'simple_days_ga_analytics','0') != '0' && get_theme_mod( 'simple_days_ga_analytics_id','') != ''){
        echo '<meta name="google-site-verification" content="'.esc_attr(get_theme_mod( 'simple_days_google_site_verification','')).'"/>'."\n";

      }
    }

    if ( get_theme_mod( 'simple_days_ogp','0') == '1' ){
    	$url='';$description='';$title='';$image='';
       if(is_home()){
         $url = home_url();
         $description = get_bloginfo('description');
         $title = get_bloginfo('name');
         if (get_theme_mod( 'simple_days_ogp_logo_img') != ''){
           $imgae = get_theme_mod( 'simple_days_ogp_logo_img');
         } else{
           $imgae = get_template_directory_uri() .'/assets/images/ogp.jpg';
         }
       }else{
         $url = get_the_permalink();
           if(have_posts()): while(have_posts()): the_post();
         $description = wp_trim_excerpt();
           endwhile; endif;
         $title = get_the_title();
         if(!has_post_thumbnail()) {
           if (get_theme_mod( 'simple_days_ogp_logo_img') != ''){
             $imgae = get_theme_mod( 'simple_days_ogp_logo_img');
           } else{
             $imgae = get_template_directory_uri() .'/assets/images/no_image.png';
           }
         }else{
            $imgae = wp_get_attachment_image_src( get_post_thumbnail_id() , 'full' );
            $imgae = $imgae[0];
         }
       }
       $get_locale = get_locale();
       if ($get_locale == 'ja'):$get_locale = 'ja_JP'; endif;

       echo '<meta property="og:url"                content="'.esc_url($url).'" />'."\n";
       echo '<meta property="og:type"               content="'.(is_singular() ? 'article' : 'website').'" />'."\n";
       echo '<meta property="og:title"              content="'.esc_attr($title).'" />'."\n";
       echo '<meta property="og:description"        content="'.esc_attr($description).'" />'."\n";
       echo '<meta property="og:image"              content="'.esc_url($imgae).'" />'."\n";
       echo '<meta property="og:site_name"          content="'.esc_attr(get_bloginfo('name')).'" />'."\n";
       echo '<meta property="og:locale"             content="'.esc_attr($get_locale).'" />'."\n";
       if ( get_theme_mod( 'simple_days_facebook_app_id' , '') != ''){
          echo '<meta property="fb:app_id"             content="'.esc_attr(get_theme_mod( 'simple_days_facebook_app_id' , '')).'" />'."\n";
       }
       if ( get_theme_mod( 'simple_days_facebook_admins' , '') != ''){
          echo '<meta property="fb:admins"             content="'.esc_attr(get_theme_mod( 'simple_days_facebook_admins' , '')).'" />'."\n";
       }

       $simple_days_twitter_card = get_theme_mod( 'simple_days_twitter_card' , '0');
       $simple_days_twitter_user_name = get_theme_mod( 'simple_days_twitter_user_name' , '');
       if ( $simple_days_twitter_card != '0' && $simple_days_twitter_user_name != ''){
          $simple_days_twitter_user_name = '@' . str_replace( '@' , '' , $simple_days_twitter_user_name );
          echo '<meta name="twitter:card" content="'.esc_attr($simple_days_twitter_card).'" />'."\n";
          echo '<meta name="twitter:site" content="'.esc_attr($simple_days_twitter_user_name).'" />'."\n";
       }
    }






  }
}
add_action( 'wp_head', 'simple_days_add_meta' );
function simple_days_comment($comment, $args, $depth) { ?>
  <li id="comment-<?php comment_ID() ?>" <?php comment_class(); ?>>
    <div class="comment_body" itemscope itemtype="http://schema.org/UserComments">
      <div class="comment_metadata">
        <span class="fn" itemprop="creator" itemscope itemtype="http://schema.org/Person"><?php echo get_comment_author_link(); ?></span>
        <time><?php comment_date(get_option( 'date_format' )); ?></time>
        <span class="comment_reply">
          <?php comment_reply_link(array_merge( $args, array('reply_text' => '<i class="fas fa-reply"></i> '.__('Reply', 'simple-days'),'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
        </span>
        <span class="comment_edit">
          <?php edit_comment_link('<i class="far fa-edit"></i> '.__('Edit', 'simple-days'),'  ','') ?>
        </span>
      </div>
      <div class="comment_main">
        <div class="comment_avatar">
          <?php echo get_avatar( $comment->comment_author_email, 100 ); ?>
        </div>
        <div class="comment_text" itemprop="commentText">
          <?php comment_text() ?>
        </div>

      </div>
      <?php if ($comment->comment_approved == '0') : ?>
        <span><?php echo esc_html__('*Your comment is awaiting moderation.*', 'simple-days') ?></span>
      <?php endif; ?>
    </div>
  </li>
<?php }



if (is_amp()){


function simple_days_head_amp_custom_start() {
  ob_start( 'simple_days_head_amp_custom_replace' );
}

function simple_days_head_amp_custom_replace($buffer) {
  $buffer = str_replace("id='amp-custom-inline-css'", "amp-custom", $buffer);
  return $buffer;
}

function simple_days_head_amp_custom_end() {
  ob_end_flush();
}
  add_action( 'wp_head', 'simple_days_head_amp_custom_start', 0 );
  add_action( 'wp_head', 'simple_days_head_amp_custom_end', 100 );


function simple_days_head_amp_custom_comment_avatar($get_avatar) {
  $get_avatar = preg_replace( '/<img/i', '<amp-img layout="responsive"', $get_avatar );
  return $get_avatar;
}


function simple_days_head_amp_custom_comment_reply_link($comment_reply_link) {
  $comment_reply_link = preg_replace( '/ onclick=\'(.*?)\'/i', '', $comment_reply_link );
  return $comment_reply_link;
}
  add_filter( 'comment_reply_link', 'simple_days_head_amp_custom_comment_reply_link' );


  if (!is_user_logged_in()){
     add_filter( 'get_avatar', 'simple_days_head_amp_custom_comment_avatar' );
     add_filter( 'cancel_comment_reply_link', '__return_false' );

     remove_action('wp_head', 'wp_resource_hints', 2);
     remove_action('wp_head', 'print_emoji_detection_script', 7);
     remove_action('admin_print_scripts', 'print_emoji_detection_script');
     remove_action('wp_print_styles', 'print_emoji_styles' );
     remove_action('admin_print_styles', 'print_emoji_styles');
     remove_action('wp_head', 'rest_output_link_wp_head');
     remove_action('wp_head', 'wp_oembed_add_discovery_links');
     remove_action('wp_head', 'wp_oembed_add_host_js');
     remove_action('wp_head', 'feed_links', 2);
     remove_action('wp_head', 'feed_links_extra', 3);
     remove_action('wp_head', 'rsd_link');
     remove_action('wp_head', 'wlwmanifest_link');
     remove_action('wp_head', 'wp_generator');
     remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
     remove_action('wp_head', 'rel_canonical');
     remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0);
  }
}

?>