<!DOCTYPE html>
<html <?php if ( is_amp()): ?>⚡ <?php endif; language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width,<?php if ( is_amp()): ?>minimum-scale=1,<?php endif; ?>initial-scale=1">
<?php if ( is_amp()): get_template_part( 'inc/amp','head' ); endif;
if ( !is_amp() ): ?>
<link rel="amphtml" href="<?php if(is_home()): echo esc_url(home_url( '/' )); else: echo esc_url(get_permalink()); endif; ?>?amp=1" />
<?php endif;
wp_head(); ?>
</head>
<body <?php body_class(); ?>>
  <header id="site_header">
    <div class="container">
      <input id="toggle_menu" type="checkbox" />
      <div class="primary_menu_site_title">
        <label for="toggle_menu" class="toggle_label"></label>

    <?php if ( has_custom_logo() ) :
      $image = wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' )?>
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="description_tooltip site_title" data-tooltip="<?php bloginfo('description'); ?>"><img src="<?php echo esc_url( $image[0] ); ?>" class="header-image" width="<?php echo absint( $image[1] ); ?>" height="<?php echo absint( $image[2] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>
    <?php else: ?>

		<?php if ( is_front_page() && is_home() ) : ?>
			<h1 class="site_title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" data-tooltip="<?php bloginfo('description'); ?>" class="description_tooltip"><?php bloginfo( 'name' ); ?></a></h1>
		<?php else : ?>
			<p class="site_title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" data-tooltip="<?php bloginfo('description'); ?>" class="description_tooltip"><?php bloginfo( 'name' ); ?></a></p>
		<?php endif; ?>
        <?php endif; ?>
      </div>

      <nav id="header_nav" class="header_nav">
      <?php wp_nav_menu( array(
                 'theme_location'  => 'primary',
                 'menu_class'      => 'primary_menu',
                 'menu_id'         => 'primary_menu',
                 'container'       => 'ul',
                 //'fallback_cb'     => 'simple_days_fallback_menu',
            ));
      ?>
      </nav>
    </div>
  </header>