<?php
  defined('ABSPATH') or die("Please don't run this script.");
/**
 * Related Posts
 *
 * @package Simple Days
 * @since 0.0.7
 * @version 0.0.2
 */

?>

<?php
  // 総件数
  $max_post_num = get_theme_mod( 'simple_days_single_related_post_number','9');
  if( $max_post_num > 0 ){
  // 現在の記事にタグが設定されている場合
  if ( has_tag() ) {
    // 1.タグ関連の投稿を取得
    $tags = wp_get_post_tags($post->ID);
    $tag_ids = array();
    foreach($tags as $tag):
        array_push( $tag_ids, $tag -> term_id);
    endforeach ;
    $tag_args = array(
        'post__not_in' => array($post -> ID),
        'posts_per_page'=> $max_post_num,
        'tag__in' => $tag_ids,
        'orderby' => 'rand',
    );
    $rel_posts = get_posts($tag_args);
    // 総件数よりタグ関連の投稿が少ない場合は、カテゴリ関連の投稿からも取得する
    $rel_count = count($rel_posts);
    if ($max_post_num > $rel_count) {
        $categories = get_the_category($post->ID);
        $category_ID = array();
        foreach($categories as $category):
            array_push( $category_ID, $category -> cat_ID);
        endforeach ;
        // 取得件数は必要な数のみリクエスト
        $cat_args = array(
            'post__not_in' => array($post -> ID),
            'tag__not_in' => $tag_ids,
            'posts_per_page'=> ($max_post_num - $rel_count),
            'category__in' => $category_ID,
            'orderby' => 'rand',
        );
        $cat_posts = get_posts($cat_args);
        $rel_posts = array_merge($rel_posts, $cat_posts);
    }
} else { // 現在の記事にタグが設定されていない場合

    // 総件数よりタグ関連の投稿が少ない場合は、カテゴリ関連の投稿からも取得する

        $categories = get_the_category($post->ID);
        $category_ID = array();
        foreach($categories as $category):
            array_push( $category_ID, $category -> cat_ID);
        endforeach ;
        // 取得件数は必要な数のみリクエスト
        $cat_args = array(
            'post__not_in' => array($post -> ID),
            'posts_per_page'=> $max_post_num,
            'category__in' => $category_ID,
            'orderby' => 'rand',
        );
        $cat_posts = get_posts($cat_args);
        $rel_posts = $cat_posts;
}
?>
<h4><?php echo esc_html__( 'Related Posts', 'simple-days' ); ?></h4>
<div id="related_posts">
<?php
    // 1件以上あれば
    if(  count( $rel_posts ) > 0 ):

        foreach ($rel_posts as $post) : setup_postdata($post); ?>
            <a href="<?php the_permalink() ?>" class="related_posts_box">
                <?php if ( has_post_thumbnail() ): // サムネイルを持っているときの処理
                        $thumurl = wp_get_attachment_image_src( get_post_thumbnail_id() , 'full' );
                        echo '<div class="related_posts_box_img"><'.((is_amp())?'amp-img layout="responsive"':'img').' src="'.esc_url($thumurl[0]).'"  width="'.esc_attr($thumurl[1]).'" height="'.esc_attr($thumurl[2]).'" alt="'.get_the_title().'" title="'.get_the_title().'" /></div>';
                      else: // サムネイルを持っていないときの処理 ?>
                        <div class="related_posts_box_img"><<?php echo ((is_amp())?'amp-img layout="responsive"':'img'); ?> src="<?php echo esc_url(get_template_directory_uri() .'/assets/images/no_image.png'); ?>" alt="no image" title="no image" width="1280" height="960" /></div>
                <?php endif; ?>
                <div class="related_posts_box_title"><span><?php echo esc_attr(mb_strimwidth(get_the_title(), 0, 42, "...", 'UTF-8')); ?></span></div>
            </a>
            <?php
        endforeach;
    else: ?>
        <p><?php echo esc_html__( 'No Related Post.', 'simple-days' ); ?></p>
    <?php endif;
    wp_reset_postdata(); ?>
</div>
<?php } ?>