<?php
/**
 * Widget ad Links
 *
 * @package Simple Days
 */


class simple_days_ad_link_widget extends WP_Widget {

	
	function __construct() {
		parent::__construct(
			'simple_days_ad_link', // Base ID
			esc_html__( '[Simple Days] Google AdSense Link', 'simple-days' ), // Name
			array( 'description' => esc_html__( 'Support a responsive ad unit for Google AdSense.Enable AMP when switching AMP ad.', 'simple-days' ), ) // Args
		);
	}

	 
	 
	 
	 

	public function widget( $args, $instance ) {
		echo $args['before_widget'];
		if ( !empty( $instance['data_ad_client'] ) && !empty( $instance['data_ad_slot'] ) ) {
			echo esc_html(apply_filters( 'widget_title', esc_html__( 'Sponsored Links', 'simple-days' ) ));
            if(is_amp()){
			echo apply_filters( 'widget_text',
				'<amp-ad
				   layout="responsive"
				   width=300
				   height=250
				  type="adsense"
				  data-ad-client="'.$instance['data_ad_client'].'"
				  data-ad-slot="'.$instance['data_ad_slot'].'"
				  data-auto-format="rspv"
				  data-full-width>
				    <div overflow></div>
				</amp-ad>' );
			}else{
			echo apply_filters( 'widget_text',
				'<ins class="adsbygoogle"
				     style="display:block"
				     data-ad-client="'.$instance['data_ad_client'].'"
				     data-ad-slot="'.$instance['data_ad_slot'].'"
				     data-ad-format="auto"></ins>
				<script>
				(adsbygoogle = window.adsbygoogle || []).push({});
				</script>'
				 );
			}
		}
		echo $args['after_widget'];
	}


	 
	 
	 

	public function form( $instance ) {
		$data_ad_client = ! empty( $instance['data_ad_client'] ) ? $instance['data_ad_client'] : '';
		$data_ad_slot = ! empty( $instance['data_ad_slot'] ) ? $instance['data_ad_slot'] : '';
		//https://support.google.com/adsense/answer/7183212
		?>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_attr_e( 'Your publisher ID(data-ad-client):', 'simple-days' ); ?></label>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'data_ad_client' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'data_ad_client' ) ); ?>" type="text" value="<?php echo esc_attr( $data_ad_client ); ?>">
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_attr_e( 'Your ad unit\'s ID(data-ad-slot):', 'simple-days' ); ?></label>
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'data_ad_slot' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'data_ad_slot' ) ); ?>" type="text" value="<?php echo esc_attr( $data_ad_slot ); ?>">
		</p>
		<?php
	}


	 

	 

	 
	 

	 

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['data_ad_client'] = ( ! empty( $new_instance['data_ad_client'] ) ) ? sanitize_text_field( $new_instance['data_ad_client'] ) : '';
		$instance['data_ad_slot'] = ( ! empty( $new_instance['data_ad_slot'] ) ) ? sanitize_text_field( $new_instance['data_ad_slot'] ) : '';
		return $instance;
	}

} // class simple_days_ad_link_widget