<?php get_header(); ?>
<main id="main" role="main">
  <div class="container">
    <div class="contents">
<?php while(have_posts()): the_post(); ?>
    <article class="article">
      <header>
      	<?php if ( !is_front_page()) { 
          get_template_part( 'inc/header_meta','json' );
          get_template_part( 'inc/breadcrumbs' );
          simple_days_breadcrumbs();} ?>
        <h1 class="single_entry_title"><?php the_title(); ?></h1>
        <div class="post_meta">
          <?php if(get_theme_mod( 'simple_days_page_author','0') == 1) {?>
          <span class="post_author page_author"><i class="fas fa-user"></i> <span class="fn"><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php the_author(); ?></a>
          </span>
          <?php } ?>
          <?php if(get_theme_mod( 'simple_days_page_date','0') == 1) {?>
          <span class="post_date page_date"><i class="far fa-clock"></i> <time class="entry-date date published updated" datetime="<?php echo get_the_date(); ?>"><?php echo get_the_date(); ?></time></span>
          <?php if (get_the_modified_date() != get_the_date())
                echo '<span class="post_updated"><i class="fas fa-sync"></i> '.esc_attr__( 'Last Updated ', 'simple-days' ).esc_html(get_the_modified_date()).'</span>'; ?>
          <?php } ?>
          <?php edit_post_link( '<i class="fas fa-edit"></i>'.esc_attr__( 'Edit this post', 'simple-days' ) , '<span class="post_edit">' , '</span>');?>
        </div>
        <?php if(get_theme_mod( 'simple_days_single_thumbnail','1') == 1 &&has_post_thumbnail()) {?>
           <figure class="page_thumbnail">
           <?php echo the_post_thumbnail('full'); ?>
           </figure>
        <?php }?>
      </header>
      <div id="post_body" class="post_body">
        <?php the_content(); ?>
        <div class="clearfix"></div>
      </div>
      <footer>
        <?php 
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif; ?>
      </footer>
    </article>



<?php endwhile; ?>
    </div>

      <?php get_sidebar(); ?>

  </div>
</main>
<?php get_footer(); ?>